      program damain
********************************************************************
*                                                                  *
*                     Author: G. WOTAWA                            *
*                     1994-06-03                                   *
*                     Modified: P. JAMES                           *
*                     2000-03-29                                   *
*                     adapted: A. BECK                             *
*                     2003-06-01                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This program reads accumulated values of            *
*                                                                  *
*     large scale precipitation                                    *
*     convective precipitation                                     *
*     surface sensible heat flux                                   *
*     surface solar radiation                                      *
*     u stress                                                     *
*     v stress                                                     *
*                                                                  *
* Accumulated quantities are deaccumulated,                        *
* interpolated to * and written to output files                    *
*       * 00/06/12/18 if jhrf=3                                    *
*       * 00/03/06/09/12/15/18/21 if jhrf=6 (default)              *
*                                                                  *
********************************************************************
* Modified version replaces the original linear averaging estimate *
* of the deaccumulated fluxes with an integral-conserving          *
* polynomial fit and brings the deaccumulation procedure within    *
* the read-loop, allowing for potentially unlimited length of      *
* timeseries to be processed without memory problems               *
********************************************************************

!      include 'parameter'
!      include 'commonvar'

*
* READ FLUXES FROM INPUT DATA FILES
* First skip first time and pre-read next 3 timesteps
* so that the polynomial has something to work on
* Loop over remaining timesteps (read, deaccumulate, write)
* Remaining subroutines are called from within readflux
*
      call readflux
      stop
      end

