      subroutine darain(xfeld,sfeld,nx,ny,jpoly)
********************************************************************
*                                                                  *
*                     Author: P. JAMES                             *
*                     2000-04-10                                   *
*                     adapted: A. BECK                             *
*                     2003-06-01                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This program interpolates deaccumulated fluxes of   *
* an ECMWF FG rainfall field using a modified linear solution.     *
* The interpolated values are output at the central point of the 4 *
* accumulation timespans                                           *
*                                                                  *
********************************************************************

      integer i,j
      real xfeld(nx,ny,jpoly),sfeld(nx,ny)
      real xa,xb,xc,xd,xac,xbd

      do 400 i=1,nx
      do 400 j=1,ny
         xa=xfeld(i,j,1)
         xb=xfeld(i,j,2)
         xc=xfeld(i,j,3)
         xd=xfeld(i,j,4)
         if (xa.lt.0.) xa=0.
         if (xb.lt.0.) xb=0.
         if (xc.lt.0.) xc=0.
         if (xd.lt.0.) xd=0.
         xac=0.5*xb
         if ((xa+xc).gt.0.) xac=xb*xc/(xa+xc)
         xbd=0.5*xc
         if ((xb+xd).gt.0.) xbd=xb*xc/(xb+xd)
         sfeld(i,j)=xac+xbd
400   continue

      return
      end

