      subroutine writeout(itime,ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,
     1     ZSEC3,ISEC4,ZSEC4,INBUFF,iword,
     2     lspi,cpi,sshfi,ewssi,nsssi,ssri,idate,
     3     nx,ny,maxtime,idimens)
********************************************************************
*                                                                  *
*                     Author: P. JAMES                             *
*                     2000-11-12                                   *
*                     adapted: A. BECK                             *
*                     2003-06-01                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This subroutine writes out the deaccumulated and    *
*              interpolated ECMWF Flux quantities to a grib file   *
*              for every time/date.                                *
*              Note: Negative values are set to zero for all fields*
*              except SSHF                                         *
*                                                                  *
*              filename:  fluxjjjjmmddhh                           *
*                                                                  *
********************************************************************

      integer i,j,jout
      integer idatehelp,itime
      character date*10,filename*48,mode*1,syscom*80
      integer lunit,ierr,lenght,iword
      integer INBUFF(IDIMENS*4),ISEC0(2),ISEC1(56)
      integer ISEC2(22+nx+ny),ISEC3(2),ISEC4(42)
      real ZSEC2(122),ZSEC3(2),ZSEC4(IDIMENS*16)
      character*30 fname
 
      real lspi(nx,ny),cpi(nx,ny)
      real sshfi(nx,ny),ewssi(nx,ny),nsssi(nx,ny),ssri(nx,ny)
      integer idate(maxtime)

      mode='C'
      jout=ISEC0(1)
!      print*,jout
*
      write(date,'(i10.10)') idate(itime-2)
C
C Change the following directory info
C Character length must be consistent with declaration
C for "filename" above
C
      filename='flux'//date
      call PBOPEN(lunit,filename,'w',ierr)
      ISEC1(21)=idate(itime-2)/100000000+1
      idatehelp=mod(idate(itime-2),100000000)
      ISEC1(10)=idatehelp/1000000
      ISEC1(11)=idatehelp/10000-ISEC1(10)*100
      ISEC1(12)=idatehelp/100-ISEC1(10)*10000-ISEC1(11)*100
      ISEC1(13)=idatehelp-ISEC1(10)*1000000-ISEC1(11)*10000-
     &                       ISEC1(12)*100

!      print*, idate(itime-2)
!      print*, isec1(10), isec1(11), isec2(12), isec1(13)

*
* WRITE OUT LSP
*
         ISEC1(38)=1
         ISEC1(24)=0
         ISEC1(37)=1

         ISEC1(6)=142
         do 510 i=1,nx
            do 510 j=1,ny
510             zsec4(nx*(ny-j)+i)=lspi(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT CP
*
         ISEC1(6)=143
         do 520 i=1,nx
            do 520 j=1,ny
520             zsec4(nx*(ny-j)+i)=cpi(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT SSHF
*
         ISEC1(6)=146
         do 530 i=1,nx
            do 530 j=1,ny
530             zsec4(nx*(ny-j)+i)=sshfi(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT SSR
*
         ISEC1(6)=176
         do 540 i=1,nx
            do 540 j=1,ny
540             zsec4(nx*(ny-j)+i)=ssri(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT EWSS
*
         ISEC1(6)=180
         do 550 i=1,nx
            do 550 j=1,ny
550             zsec4(nx*(ny-j)+i)=ewssi(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT NSSS
*
         ISEC1(6)=181
         do 560 i=1,nx
            do 560 j=1,ny
560             zsec4(nx*(ny-j)+i)=nsssi(i,j)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
         call PBCLOSE(lunit,ierr)

      return
      end

